Loading...
Searching...
No Matches
L4Re::Debug_obj Class Reference
L4Re C++ Interface » Debugging API

Debug interface. More...

`#include <debug>`

Inheritance diagram for L4Re::Debug_obj:
Collaboration diagram for L4Re::Debug_obj:

## Public Member Functions

long | debug (unsigned long function)
| Debug call.
Public Member Functions inherited from L4::Kobject
l4_msgtag_t | dec_refcnt (l4_mword_t diff, l4_utcb_t *utcb=l4_utcb())
| Decrement the in kernel reference counter for the object.

## Additional Inherited Members

Protected Types inherited from L4::Kobject_t< Debug_obj, L4::Kobject, L4RE_PROTO_DEBUG >
typedef Debug_obj | Class
| The target interface type (inheriting from Kobject_t).
typedef Typeid::Iface< PROTO, Debug_obj > | __Iface
| The interface description for the derived class.
typedef Typeid::Merge_list< Typeid::Iface_list< __Iface >, typename L4::Kobject::__Iface_list > | __Iface_list
| The list of all RPC interfaces provided directly or through inheritance.
Protected Member Functions inherited from L4::Kobject_t< Debug_obj, L4::Kobject, L4RE_PROTO_DEBUG >
L4::Cap< Class > | c () const noexcept
| Get the capability to ourselves.
Protected Member Functions inherited from L4::Kobject
l4_cap_idx_t | cap () const noexcept
| Return capability selector.
Static Protected Member Functions inherited from L4::Kobject_t< Debug_obj, L4::Kobject, L4RE_PROTO_DEBUG >
static void | __check_protocols__ () noexcept
| Helper to check for protocol conflicts.

## Detailed Description

Debug interface.

See also
  Debugging API .

Definition at line 40 of file debug.

## Member Function Documentation

## debug()

long L4Re::Debug_obj::debug | ( | unsigned long | function | ) |

Debug call.

Parameters

  function | Function to call.

Returns
  - L4_EOK
  - IPC errors

An object can provide a number of debug functions, each identified by some integer. This method is used to fan out to these functions from a common entry point.

References debug().

Referenced by debug().

Here is the call graph for this function:
Here is the caller graph for this function:

The documentation for this class was generated from the following file:

- l4/re/debug